Update the memo field on a receipt owned by the authenticated user. Returns the updated receipt record.
PATCH
/api/v3/receipt/{identifier}
curl \
--request PATCH 'https://uk.onetimesecret.com/api/v3/receipt/{identifier}' \
--cookie "rack.session=$API_KEY" \
--header "Content-Type: application/json"
Request examples
{}
Response examples (200)
{
"user_id": "string",
"shrimp": "",
"record": {
"identifier": "string",
"key": "string",
"shortid": "string",
"state": "new",
"owner_id": "string",
"created": 42.0,
"updated": 42.0,
"shared": 42.0,
"previewed": 42.0,
"revealed": 42.0,
"burned": 42.0,
"secret_ttl": 42.0,
"receipt_ttl": 42.0,
"lifespan": 42.0,
"secret_shortid": "string",
"secret_identifier": "string",
"recipients": [
"string"
],
"recipient_name": "string",
"share_domain": "string",
"has_passphrase": true,
"is_previewed": true,
"is_revealed": true,
"is_burned": true,
"is_destroyed": true,
"is_expired": true,
"is_orphaned": true,
"memo": "string",
"kind": "generate",
"source": "standard",
"secret_state": "new",
"natural_expiration": "string",
"expiration": 42.0,
"expiration_in_seconds": 42.0,
"share_path": "string",
"burn_path": "string",
"receipt_path": "string",
"share_url": "string",
"receipt_url": "string",
"burn_url": "string"
},
"details": {
"type": "record",
"display_lines": 42.0,
"no_cache": true,
"secret_realttl": 42.0,
"view_count": 42.0,
"first_access": 42.0,
"last_access": 42.0,
"has_passphrase": true,
"can_decrypt": true,
"secret_value": "string",
"show_secret": true,
"show_secret_link": true,
"show_receipt_link": true,
"show_receipt": true,
"show_recipients": true,
"is_orphaned": true,
"is_expired": true
}
}
Response examples (400)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (401)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (403)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (404)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (422)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (500)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}